Name:          gmetric4j
Version:       1.0.3
Release:       5%{?dist}
Summary:       JVM instrumentation to Ganglia
License:       BSD
URL:           https://github.com/ganglia/gmetric4j
Source0:       https://github.com/ganglia/gmetric4j/archive/%{version}.tar.gz

#BuildRequires: remotetea
BuildRequires: mvn(org.acplt:oncrpc)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local

BuildArch:     noarch

%description
Gmetric4j is a 100% java, configurable Ganglia agent that
periodically polls arbitrary attributes and reports their
values to Ganglia.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete

# disable javadoc jar
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']" '
 <configuration>
   <doctitle>Gmetric4j ${project.version} API</doctitle>
   <windowtitle>Gmetric4j ${project.version} API</windowtitle>
</configuration>'
# disable source jar
%pom_remove_plugin :maven-source-plugin

sed -i '/Class-Path/d' src/main/resources/META-INF/MANIFEST.MF

rm -r src/test/java/info/ganglia/gmetric4j/gmetric/GMetricIT.java

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

install -m 644 target/%{name}-%{version}-tests.jar \
  %{buildroot}%{_javadir}/%{name}-tests.jar

%files -f .mfiles
%{_javadir}/%{name}-tests.jar
%doc README
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Wed Feb 04 2015 gil cattaneo <puntogil@libero.it> 1.0.3-5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.3-3
- Use Requires: java-headless rebuild (#1067528)

* Thu Dec 19 2013 gil cattaneo <puntogil@libero.it> 1.0.3-2
- remove Boot Class-Path

* Sat Aug 03 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
